Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class SphericalHeightFieldMapping

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.HeightFieldMapping
              de.grogra.imp3d.objects.SphericalHeightFieldMapping

All Implemented Interfaces:
  Manageable, Shareable

    public class SphericalHeightFieldMapping

extends HeightFieldMapping

Nested Class Summary
`static class` | `SphericalHeightFieldMapping.Type`

Field Summary
`static SphericalHeightFieldMapping.Type` | `$TYPE`
`static SCOType.Field` | `horizontal$FIELD`
`static SCOType.Field` | `latitude$FIELD`
`static SCOType.Field` | `latWidth$FIELD`
`static SCOType.Field` | `longitude$FIELD`
`static SCOType.Field` | `longWidth$FIELD`
`static SCOType.Field` | `radius$FIELD`

Fields inherited from class de.grogra.imp3d.objects.HeightFieldMapping
`scale$FIELD, water$FIELD, zeroLevel$FIELD`

Constructor Summary
`SphericalHeightFieldMapping()`

Method Summary
`float` | `getLatitude()`
`float` | `getLatWidth()`
`float` | `getLongitude()`
`float` | `getLongWidth()`
`ManageableType` | `getManageableType()`
`double` | `getRadius()`
`boolean` | `isHorizontal()`
`void` | `map(int x, int y, int sx, int sy, float height, Tuple3f out)`
`void` | `setHorizontal(boolean r)`
`void` | `setLatitude(float f)`
`void` | `setLatWidth(float f)`
`void` | `setLongitude(float f)`
`void` | `setLongWidth(float f)`
`void` | `setRadius(double d)`

Methods inherited from class de.grogra.imp3d.objects.HeightFieldMapping
`getScale, getZeroLevel, isWater, setScale, setWater, setZeroLevel`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final SphericalHeightFieldMapping.Type $TYPE

### horizontal$FIELD

    public static final SCOType.Field horizontal$FIELD

### latitude$FIELD

    public static final SCOType.Field latitude$FIELD

### latWidth$FIELD

    public static final SCOType.Field latWidth$FIELD

### longitude$FIELD

    public static final SCOType.Field longitude$FIELD

### longWidth$FIELD

    public static final SCOType.Field longWidth$FIELD

### radius$FIELD

    public static final SCOType.Field radius$FIELD

Constructor Detail

### SphericalHeightFieldMapping

    public SphericalHeightFieldMapping()

Method Detail

### getLatitude

    public float getLatitude()

### getLatWidth

    public float getLatWidth()

### getLongitude

    public float getLongitude()

### getLongWidth

    public float getLongWidth()

### getManageableType

    public ManageableType getManageableType()

### getRadius

    public double getRadius()

### isHorizontal

    public boolean isHorizontal()

### map

    public void map(int x,
                    int y,
                    int sx,
                    int sy,
                    float height,
                    Tuple3f out)

  Specified by:
    `map` in class `HeightFieldMapping`

### setHorizontal

    public void setHorizontal(boolean r)

### setLatitude

    public void setLatitude(float f)

### setLatWidth

    public void setLatWidth(float f)

### setLongitude

    public void setLongitude(float f)

### setLongWidth

    public void setLongWidth(float f)

### setRadius

    public void setRadius(double d)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD